# react-responsive-datepicker

> A datepicker made for react projects. Easy to use and custom.

[![NPM](https://img.shields.io/npm/v/react-responsive-datepicker.svg)](https://www.npmjs.com/package/react-responsive-datepicker) [![JavaScript Style Guide](https://img.shields.io/badge/code_style-standard-brightgreen.svg)](https://standardjs.com)

## Install

```bash
npm install --save react-responsive-datepicker
```
or using yarn
```bash
yarn add react-responsive-datepicker
```
or


## Usage

```tsx
import React from 'react'

import { DatePicker } from 'react-responsive-datepicker'

const App = () => {
  const [isOpen, setIsOpen] = React.useState(false)

  return (
    <div>
      <button
        onClick={() => {
          setIsOpen(true)
        }}
      >
        Open
      </button>
      <DatePicker
        isOpen={isOpen}
        onClose={() => setIsOpen(false)}
        defaultValue={new Date(2022, 8, 8)}
        minDate={new Date(2022, 10, 10)}
        maxDate={new Date(2023, 0, 10)}
        headerFormat='DD, MM dd'
      />
    </div>
  )
}

export default App

```

## License

MIT © [agunbuhori](https://github.com/agunbuhori)
